#include <iostream>

using namespace std;

int main()
{
    int N;
    cin>>N;
    string a;
    cin>>a;
    string b="ABCDEFGHIJKLMNOPQRSTUVWXYZ";
    bool bo=false;

    if(N==26){
        for(int i=0;i<N;i++){
            if(a[i]!=b[i]){
                bo=true;
                break;

            }



        }
        if(bo==false)
            cout<<1;
        else
            cout<<0;
    }else if(N==27){
    int brKom=0;
         for(int i=0;i<N;i++){
         bo=false;
         int bro=0;
            for(int j=0;j<i;j++){

                if(a[j]!=b[bro]){
                    bo=true;
                    break;

            }
            bro++;


            }
            if(bo==false){
                 for(int j=i+1;j<N;j++){

                if(a[j]!=b[bro]){
                    bo=true;
                    break;

            }

            bro++;


            }



            }
            if(bo==false){

                brKom++;
            }





    }
    cout<<brKom;
    cout<<endl;
    }else{
        cout<<0;
}

   
    return